function langtonsAntDelay(slowMotionMode, slowMotionDelay, isStep)
%langtonsAntDelay by Sebastian Weichwald [2011-10-25-6]
%
% A helper function for langtonsAnt
%
% langtonsAntDelay(slowMotionMode, slowMotionDelay, isStep)
%
%     slowMotionDelay - finite positive numeric
%                       used in slowMotionModes 1, 3 and 5
%
%     slowMotionMode - 'fastest'      - 0 - plot after all computations
%                                           are finished
%                    - 'snapshots'    - 1 - plot after number of steps
%                                           specified by
%                                           slowMotionSnapshotSteps and
%                                           pause afterwards for the
%                                           number of seconds specified
%                                           by slowMotionDelay
%                    - 'fastSteps'    - 2 - plot every step afap
%                    - 'steps'        - 3 - plot every step and pause
%                                           afterwards for number of
%                                           seconds specified by
%                                           slowMotionDelay
%                    - 'fastMovement' - 4 - plot every movement
%                                           (step, flip square, turn)
%                    - 'movement'     - 5 - plot every movement and
%                                           pause afterwards for number
%                                           of seconds specified by
%                                           slowMotionDelay
%
%     isStep - logical - is used to determine if langtonsAntDelay was
%                        called after a movement or a complete step to
%                        allow to slow down every movement or only each
%                        step (flip, turn, move)





% if called after a complete step
%     then draw
%     if we are in slowMotionMode 1 ('snapshots'), 3 ('steps') or 5 ('movement')
%         then pause accordingly to slowMotionDelay
%     end
% elseif (so when called after a movement) we are in slowMotionMode 4 or 5
%     then draw
%     if we are in slowMotionMode 5 ('movement')
%         then pause accordingly to slowMotionDelay
%     end
% end
if isStep
    drawnow;
    if slowMotionMode == 1 || slowMotionMode == 3 || slowMotionMode == 5
        pause(slowMotionDelay);
    end
elseif slowMotionMode >= 4
    drawnow;
    if slowMotionMode == 5
        pause(slowMotionDelay);
    end
end